<?php 

class Usuario extends Database{

	# Registrar usuario 
	public function insertar($id_per, $pass_user, $fechaReg_user, $estado_user, $tipo_user){
		$sql="INSERT INTO t_usuario VALUES('','$id_per','$pass_user','$fechaReg_user','$estado_user','$tipo_user')";
		$resul=$this->connect()->query($sql);
		if($resul)
			return true;
		return false;
	} 

	# editar o actualizar 
	public function editar(){

	}

	# mostar 
	public function mostrar(){
		$sql="SELECT * FROM t_usuario u, t_personales p WHERE u.id_per=p.id_per AND numDoc_per!='8685942' ORDER BY id_user DESC ";
		$resul=$this->connect()->query($sql);
		return $resul;
	}

	# cambiar estado 
	public function editarEstado($id_user, $estado_user){
		$sql="UPDATE t_usuario SET estado_user='$estado_user' WHERE id_user='$id_user' ";
		$resul=$this->connect()->query($sql);
		if ($resul)
			return true;
		return false;
	}

	# cambiar tipo de usuario 
	public function editarTipo($id_user, $tipo_user){
		$sql="UPDATE t_usuario SET tipo_user='$tipo_user' WHERE id_user='$id_user' ";
		$resul=$this->connect()->query($sql);
		if ($resul)
			return true;
		return false;
	}


}


?>